aboutsummaryrefslogtreecommitdiffhomepage
path: root/src
diff options
context:
space:
mode:
authorGravatar Kristina Chodorow <kchodorow@google.com>2016-11-21 18:29:08 +0000
committerGravatar Dmitry Lomov <dslomov@google.com>2016-11-21 20:04:49 +0000
commitfec7d877735eacaf023718ea3e598e6d10adb9a6 (patch)
treec1f303a944b9675592cde6c9d9083f1aef957873 /src
parent2aada22ebb0671a3ee772888bf52fe814a519197 (diff)
*** Reason for rollback *** This test doesn't pass *** Original change description *** Add a test verifying that bazel can be bootstrapped from the distfile To verify that the distribution artifact is complete, add a test that tries to bootstrap bazel from that artifact. -- MOS_MIGRATED_REVID=139801796
Diffstat (limited to 'src')
-rw-r--r--src/test/shell/bazel/BUILD11
-rwxr-xr-xsrc/test/shell/bazel/bazel_bootstrap_distfile_test.sh40
2 files changed, 0 insertions, 51 deletions
diff --git a/src/test/shell/bazel/BUILD b/src/test/shell/bazel/BUILD
index e83ada3d55..4c972ff418 100644
--- a/src/test/shell/bazel/BUILD
+++ b/src/test/shell/bazel/BUILD
@@ -405,17 +405,6 @@ sh_test(
data = [":test-deps"],
)
-sh_test(
- name = "bazel_boostrap_distfile_test",
- size = "large",
- srcs = ["bazel_bootstrap_distfile_test.sh"],
- args = ["$(location //:bazel-distfile)"],
- data = [
- ":test-deps",
- "//:bazel-distfile",
- ],
-)
-
test_suite(
name = "all_tests",
visibility = ["//visibility:public"],
diff --git a/src/test/shell/bazel/bazel_bootstrap_distfile_test.sh b/src/test/shell/bazel/bazel_bootstrap_distfile_test.sh
deleted file mode 100755
index fd39cdc085..0000000000
--- a/src/test/shell/bazel/bazel_bootstrap_distfile_test.sh
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/bin/bash
-#
-# Copyright 2016 The Bazel Authors. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-# Test that bazel can be compiled out of the distribution artifact.
-#
-
-set -u
-DISTFILE=$(readlink $1)
-shift 1
-
-# Load the test setup defined in the parent directory
-CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
-source "${CURRENT_DIR}/../integration_test_setup.sh" \
- || { echo "integration_test_setup.sh not found!" >&2; exit 1; }
-
-function test_bootsrap() {
- local olddir=$(pwd)
- WRKDIR=$(mktemp -d ${TEST_TMPDIR}/bazelbootstrap.XXXXXXXX)
- mkdir -p "${WRKDIR}" || fail "Could not create workdir"
- cd "${WRKDIR}" || fail "Could not change to work directory"
- unzip ${DISTFILE}
- ./compile.sh || fail "Expected to be able to bootstrap bazel"
- ./output/bazel version || fail "Generated bazel not working"
- cd "${olddir}"
-}
-
-run_suite "bootstrap test"